
/**
 *
 * @author  kjdon@cs.waikato.ac.nz
 * @author  davidb@cs.waikato.ac.nz
 * @version 
 */

import java.io.File;

public class IndexXML extends Object {

    String doc_tag_level_ = null;
    File out_dir_         = null;
    Indexer indexer_      = null;
    boolean create_index_ = false;

    public IndexXML(String doc_tag_level, File out_dir, boolean create)
    {
	doc_tag_level_ = doc_tag_level;
	out_dir_ = out_dir;
	create_index_ = create;
    }

    public void init() 
    {
	indexer_ = new Indexer(doc_tag_level_, out_dir_, create_index_);
    }

    public void finish() 
    {
	indexer_.finish();
    }

    public void indexFile(File file) 
    {
	String name = file.getName();
	name = name.substring(0, name.lastIndexOf('.'));
	System.out.println("Indexing "+file.getPath()+" with id "+name);
	indexer_.index(name, file);
    }    

    public void indexFile(String xml_text) 
    {
	indexer_.index(xml_text);
    }    

}
